- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# rhn_register – Manage Red Hat Network registration using the `rhnreg_ks` command

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Manage registration to the Red Hat Network.

## Requirements

The below requirements are needed on the host that executes this module.

- rhnreg_ks
- either libxml2 or lxml

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
activationkey string |  | Supply an activation key for use with registration.
ca_cert path |  | Supply a custom ssl CA certificate file for use with registration. aliases: sslcacert
channels list | Default: [] | Optionally specify a list of channels to subscribe to upon successful registration.
enable_eus boolean | Choices: no ← yes | If `no`, extended update support will be requested.
nopackages boolean added in 2.5 | Choices: no ← yes | If `yes`, the registered node will not upload its installed packages information to Satellite server.
password string |  | Red Hat Network password.
profilename string |  | Supply an profilename for use with registration.
server_url string |  | Specify an alternative Red Hat Network server URL. The default is the current value of serverURL from `/etc/sysconfig/rhn/up2date`.
state string | Choices: absent present ← | Whether to register (`present`), or unregister (`absent`) a system.
systemorgid string |  | Supply an organizational id for use with registration.
username string |  | Red Hat Network username.

## Notes

Note

- This is for older Red Hat products. You probably want the redhat_subscription module instead.
- In order to register a system, `rhnreg_ks` requires either a username and password, or an activationkey.

## Examples

    - name: Unregister system from RHN
      rhn_register:
        state: absent
        username: joe_user
        password: somepass

    - name: Register as user with password and auto-subscribe to available content
      rhn_register:
        state: present
        username: joe_user
        password: somepass

    - name: Register with activationkey and enable extended update support
      rhn_register:
        state: present
        activationkey: 1-222333444
        enable_eus: yes

    - name: Register with activationkey and set a profilename which may differ from the hostname
      rhn_register:
        state: present
        activationkey: 1-222333444
        profilename: host.example.com.custom

    - name: Register as user with password against a satellite server
      rhn_register:
        state: present
        username: joe_user
        password: somepass
        server_url: https://xmlrpc.my.satellite/XMLRPC

    - name: Register as user with password and enable channels
      rhn_register:
        state: present
        username: joe_user
        password: somepass
        channels: rhel-x86_64-server-6-foo-1,rhel-x86_64-server-6-bar-1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- James Laska (@jlaska)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.